Upstream information

CVE-2009-2042 at MITRE

Description

libpng before 1.2.37 does not properly parse 1-bit interlaced images with width values that are not divisible by 8, which causes libpng to include uninitialized bits in certain rows of a PNG file and might allow remote attackers to read portions of sensitive memory via "out-of-bounds pixels" in the file.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:P/I:N/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
SUSE Bugzilla entries: 514727 [RESOLVED / FIXED], 608040 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11 SP1
  • libpng12-0 >= 1.2.31-5.12.1
  • libpng12-0-32bit >= 1.2.31-5.12.1
  • libpng12-0-x86 >= 1.2.31-5.12.1
SUSE Linux Enterprise Server 11 SP2
  • libpng12-0 >= 1.2.31-5.25.1
  • libpng12-0-32bit >= 1.2.31-5.25.1
  • libpng12-0-x86 >= 1.2.31-5.25.1
SUSE Linux Enterprise Server 11 SP3
  • libpng12-0 >= 1.2.31-5.31.1
  • libpng12-0-32bit >= 1.2.31-5.31.1
  • libpng12-0-x86 >= 1.2.31-5.31.1
SUSE Linux Enterprise Server 11 SP4
  • libpng12-0 >= 1.2.31-5.33.1
  • libpng12-0-32bit >= 1.2.31-5.33.1
  • libpng12-0-x86 >= 1.2.31-5.33.1
SUSE Linux Enterprise Server 11
  • libpng12-0 >= 1.2.31-5.12.1
  • libpng12-0-32bit >= 1.2.31-5.18.1
  • libpng12-0-x86 >= 1.2.31-5.18.1
Patchnames:
slessp0-libpng-devel
SUSE Linux Enterprise Server for SAP Applications 11
  • libpng12-0 >= 1.2.31-5.12.1
  • libpng12-0-32bit >= 1.2.31-5.12.1
  • libpng12-0-x86 >= 1.2.31-5.18.1
Patchnames:
slessp0-libpng-devel
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libpng-devel >= 1.2.31-5.33.1
  • libpng-devel-32bit >= 1.2.31-5.33.1
SUSE Linux Enterprise SDK 11 GA
  • libpng-devel >= 1.2.31-5.12.1
Builds
SAT Patch Nr: 1039
SUSE Linux Enterprise SDK 11 GA
  • libpng-devel >= 1.2.31-5.12.1
  • libpng-devel-32bit >= 1.2.31-5.12.1
Builds
SAT Patch Nr: 1039
SUSE Linux Enterprise Desktop 11 GA
  • libpng-devel >= 1.2.31-5.12.1
  • libpng12-0 >= 1.2.31-5.12.1
Builds
SAT Patch Nr: 1039
SUSE Linux Enterprise Desktop 11 GA
  • libpng-devel >= 1.2.31-5.12.1
  • libpng12-0 >= 1.2.31-5.12.1
  • libpng12-0-32bit >= 1.2.31-5.12.1
Builds
SAT Patch Nr: 1039
SUSE Linux Enterprise Server 11 GA
  • libpng12-0 >= 1.2.31-5.12.1
Builds
SAT Patch Nr: 1039
SUSE Linux Enterprise Server 11 GA
  • libpng12-0 >= 1.2.31-5.12.1
  • libpng12-0-x86 >= 1.2.31-5.12.1
Builds
SAT Patch Nr: 1039
SUSE Linux Enterprise Server 11 GA
  • libpng12-0 >= 1.2.31-5.12.1
  • libpng12-0-32bit >= 1.2.31-5.12.1
Builds
SAT Patch Nr: 1039
Novell Linux Desktop 9 for x86
Open Enterprise Server
  • libpng >= 1.2.5-182.26
  • libpng-devel >= 1.2.5-182.26
Builds
YOU Patch Nr: 12444
Novell Linux Desktop 9 for x86_64
  • libpng >= 1.2.5-182.26
  • libpng-32bit >= 9-200906232031
  • libpng-devel >= 1.2.5-182.26
Builds
YOU Patch Nr: 12444
openSUSE 11.0
  • libpng12-0-debuginfo >= 1.2.26-14.10
  • libpng12-0-debugsource >= 1.2.26-14.10
openSUSE 11.0
  • libpng-devel >= 1.2.26-14.10
  • libpng-devel-32bit >= 1.2.26-14.10
  • libpng-devel-64bit >= 1.2.26-14.10
  • libpng12-0 >= 1.2.26-14.10
  • libpng12-0-32bit >= 1.2.26-14.10
  • libpng12-0-64bit >= 1.2.26-14.10
  • libpng3 >= 1.2.26-14.10
openSUSE 11.1
  • libpng12-0-debuginfo >= 1.2.31-4.38.1
  • libpng12-0-debuginfo-32bit >= 1.2.31-4.38.1
  • libpng12-0-debuginfo-64bit >= 1.2.31-4.38.1
  • libpng12-0-debugsource >= 1.2.31-4.38.1
openSUSE 11.1
  • libpng-devel >= 1.2.31-4.38.1
  • libpng-devel-32bit >= 1.2.31-4.38.1
  • libpng-devel-64bit >= 1.2.31-4.38.1
  • libpng12-0 >= 1.2.31-4.38.1
  • libpng12-0-32bit >= 1.2.31-4.38.1
  • libpng12-0-64bit >= 1.2.31-4.38.1
  • libpng3 >= 1.2.31-4.38.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SLES for SAP Applications libpng12-0 Released
SUSE Linux Enterprise Desktop 11 libpng12-0 Released
SUSE Linux Enterprise Desktop 11 SP1 libpng12-0 Released
SUSE Linux Enterprise Desktop 11 SP2 libpng12-0 Released
SUSE Linux Enterprise Desktop 11 SP3 libpng12-0 Released
SUSE Linux Enterprise Desktop 11 SP4 libpng12-0 Released
SUSE Linux Enterprise Enterprise Server 11 SP1 for SAP Enterprise Search libpng12-0 Released
SUSE Linux Enterprise Server 11 SP1 libpng12-0 Released
SUSE Linux Enterprise Server 11 SP1 LTSS libpng12-0 Released
SUSE Linux Enterprise Server 11 SP2 libpng12-0 Released
SUSE Linux Enterprise Server 11 SP2 LTSS libpng12-0 Released
SUSE Linux Enterprise Server 11 SP2 for VMware libpng12-0 Released
SUSE Linux Enterprise Server 11 SP3 libpng12-0 Released
SUSE Linux Enterprise Server 11 SP3 LTSS libpng12-0 Released
SUSE Linux Enterprise Server 11 SP3 for VMware libpng12-0 Released
SUSE Linux Enterprise Server 11 SP4 libpng12-0 Released
SUSE Linux Enterprise Server 11 SP4 LTSS libpng12-0 Released
SUSE Linux Enterprise Server for SAP Business All-in-One libpng12-0 Released
SUSE Linux Enterprise Software Development Kit 11 libpng12-0 Released
SUSE Linux Enterprise Software Development Kit 11 SP1 libpng12-0 Released
SUSE Linux Enterprise Software Development Kit 11 SP2 libpng12-0 Released
SUSE Linux Enterprise Software Development Kit 11 SP3 libpng12-0 Released
SUSE Linux Enterprise Software Development Kit 11 SP4 libpng12-0 Released